<?php
/**
 * Plugin Name: DMG Tiles
 * Plugin URI:  https://github.com/ANMedia/dmg-tiles-wp-plugin
 * Description: Register a block to create page layouts using tiles
 * Version:     1.0.1
 * Author:      Metro.co.uk
 * Author URI:  https://github.com/ANMedia/dmg-tiles-wp-plugin/graphs/contributors
 */

// Define some constants
define( 'DMG_TILES_ROOT' , __DIR__ );
define( 'DMG_TILES_URL' , plugins_url( '/', __FILE__ ) );

// Register the Tiles container block
require_once( __DIR__ . '/blocks/tiles/class-tiles.php' );

// Register abstract tile class
require_once( __DIR__ . '/blocks/inner-blocks/class-tile.php' );

// Register core tiles
require_once( __DIR__ . '/blocks/inner-blocks/article/class-article.php' );
